SDL_gfx: C:/Users/Andreas Schiffler/Desktop/Sources/sdlgfx/SDL_framerate.c File Reference

SDL_gfx 2.0.24

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
C:/Users/Andreas Schiffler/Desktop/Sources/sdlgfx/SDL_framerate.c File Reference
`#include "SDL_framerate.h"`

Go to the source code of this file.

## Functions
Uint32 | _getTicks ()
| Internal wrapper to SDL_GetTicks that ensures a non-zero return value.
void | SDL_initFramerate (FPSmanager *manager)
| Initialize the framerate manager.
int | SDL_setFramerate (FPSmanager *manager, Uint32 rate)
| Set the framerate in Hz.
int | SDL_getFramerate (FPSmanager *manager)
| Return the current target framerate in Hz.
int | SDL_getFramecount (FPSmanager *manager)
| Return the current framecount.
Uint32 | SDL_framerateDelay (FPSmanager *manager)
| Delay execution to maintain a constant framerate and calculate fps.

## Function Documentation

Uint32 _getTicks | ( |  | ) |

Internal wrapper to SDL_GetTicks that ensures a non-zero return value.

Returns:
  The tick count.

Definition at line 37 of file SDL_framerate.c.

Uint32 SDL_framerateDelay | ( | FPSmanager * | manager | ) |

Delay execution to maintain a constant framerate and calculate fps.

Generate a delay to accomodate currently set framerate. Call once in the graphics/rendering loop. If the computer cannot keep up with the rate (i.e. drawing too slow), the delay is zero and the delay interpolation is reset.

Parameters:

  manager | Pointer to the framerate manager.

Returns:
  The time that passed since the last call to the function in ms. May return 0.

Definition at line 146 of file SDL_framerate.c.

int SDL_getFramecount | ( | FPSmanager * | manager | ) |

Return the current framecount.

Get the current framecount from the framerate manager. A frame is counted each time SDL_framerateDelay is called.

Parameters:

  manager | Pointer to the framerate manager.

Returns:
  Current frame count or -1 for error.

Definition at line 126 of file SDL_framerate.c.

int SDL_getFramerate | ( | FPSmanager * | manager | ) |

Return the current target framerate in Hz.

Get the currently set framerate of the manager.

Parameters:

  manager | Pointer to the framerate manager.

Returns:
  Current framerate in Hz or -1 for error.

Definition at line 107 of file SDL_framerate.c.

void SDL_initFramerate | ( | FPSmanager * | manager | ) |

Initialize the framerate manager.

Initialize the framerate manager, set default framerate of 30Hz and reset delay interpolation.

Parameters:

  manager | Pointer to the framerate manager.

Definition at line 62 of file SDL_framerate.c.

int SDL_setFramerate | ( | FPSmanager * | manager,
|  | Uint32 | rate
| ) |  |

Set the framerate in Hz.

Sets a new framerate for the manager and reset delay interpolation. Rate values must be between FPS_LOWER_LIMIT and FPS_UPPER_LIMIT inclusive to be accepted.

Parameters:

  manager | Pointer to the framerate manager.
  rate | The new framerate in Hz (frames per second).

Returns:
  0 for sucess and -1 for error.

Definition at line 86 of file SDL_framerate.c.